<div class="brl w-100 " style="height:90vh;overflow:auto">
      
    <div class="float-left col-lg-12 col-md-12 col-sm-12 pt-2 pb-1 col-12 pl-2 pr-1" style="height: auto;" >

        <!-- LIST COMMESSA -->
        <div class="brl card bg-light">
            <div class="brl top ">
                <div class="tab_content">
  
                    <form (submit)="$event.preventDefault()">
                        <mat-form-field appearance="fill">
                            <mat-label>Cerca</mat-label>
                            <input  
                                matInput type="text"
                                class="fs15"
                                name="searchText"
                                #searchText="ngModel" 
                                [(ngModel)]="search"
                                (keyup)="filterResults()"
                            >
                        </mat-form-field>
                    </form>

                </div>                  
            </div>


            <div class="brl table ">
                <div *ngIf="data else loading">
                    <commessa-list 
                        [data]="data" 
                        [filter]="search"
                        (result)="getDetails($event)"
                        >
                    </commessa-list>
                </div>
        
                <ng-template #loading>
                    <div class="empty">
                        <div class="text fs18">
                            Download Anagrafica
                        </div>
                        <div class="nj-spinner nj-spinner--sm ml-1" role="status"></div>
    
                    </div>
                </ng-template>
            </div>


            
        </div>

        <!-- MODAL DETAILS -->

    </div>
  
</div>
  